Bug 1049329 (CVE-2017-10176)

Summary: VUL-0: CVE-2017-10176: java-1_8_0-openjdk,java-1_7_0-openjdk: Incorrect handling of certain EC points
Product: [Novell Products] SUSE Security Incidents Reporter: Johannes Segitz <jsegitz>
Component: IncidentsAssignee: Fridrich Strba <fstrba>
Status: RESOLVED FIXED QA Contact: Security Team bot <security-team>
Severity: Major    
Priority: P3 - Medium    
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
Whiteboard: CVSSv3:SUSE:CVE-2017-10176:7.5:(AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N) CVSSv3:RedHat:CVE-2017-10176:6.5:(AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:N/A:N) CVSSv2:SUSE:CVE-2017-10176:7.8:(AV:N/AC:L/Au:N/C:C/I:N/A:N) CVSSv2:NVD:CVE-2017-10176:5.0:(AV:N/AC:L/Au:N/C:P/I:N/A:N) CVSSv3:UNK(Oracle):CVE-2017-10176:7.5:(AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N)
Found By: --- Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---
Bug Depends on:    
Bug Blocks: 1049333    

Description Johannes Segitz 2017-07-19 07:28:44 UTC
Oracle July 2017 Patch Day.
http://www.oracle.com/technetwork/security-advisory/cpujul2017-3236622.html#AppendixJAVA
http://www.oracle.com/technetwork/security-advisory/cpujul2017verbose-3236625.html#JAVA

Vulnerability in the Java SE, Java SE Embedded, JRockit component of Oracle Java SE (subcomponent: Security). Supported versions that are affected are Java SE: 7u141 and 8u131; Java SE Embedded: 8u131; JRockit: R28.3.14. Easily exploitable vulnerability allows unauthenticated attacker with network access via multiple protocols to compromise Java SE, Java SE Embedded, JRockit. Successful attacks of this vulnerability can result in unauthorized access to critical data or complete access to all Java SE, Java SE Embedded, JRockit accessible data.

Note: This vulnerability can be exploited through sandboxed Java Web Start applications and sandboxed Java applets. It can also be exploited by supplying data to APIs in the specified Component without using sandboxed Java Web Start applications or sandboxed Java applets, such as through a web service.

CVSS v3.0 Base Score 7.5 (Confidentiality impacts). CVSS Vector: (CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N). (legend) [Advisory]
Comment 1 Swamp Workflow Management 2017-08-16 13:11:59 UTC
SUSE-SU-2017:2175-1: An update that solves 28 vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1049302,1049305,1049306,1049307,1049308,1049309,1049310,1049311,1049312,1049313,1049314,1049315,1049316,1049317,1049318,1049319,1049320,1049321,1049322,1049323,1049324,1049325,1049326,1049327,1049328,1049329,1049330,1049331,1049332
CVE References: CVE-2017-10053,CVE-2017-10067,CVE-2017-10074,CVE-2017-10078,CVE-2017-10081,CVE-2017-10086,CVE-2017-10087,CVE-2017-10089,CVE-2017-10090,CVE-2017-10096,CVE-2017-10101,CVE-2017-10102,CVE-2017-10105,CVE-2017-10107,CVE-2017-10108,CVE-2017-10109,CVE-2017-10110,CVE-2017-10111,CVE-2017-10114,CVE-2017-10115,CVE-2017-10116,CVE-2017-10118,CVE-2017-10125,CVE-2017-10135,CVE-2017-10176,CVE-2017-10193,CVE-2017-10198,CVE-2017-10243
Sources used:
SUSE OpenStack Cloud 6 (src):    java-1_8_0-openjdk-1.8.0.144-27.5.3
SUSE Linux Enterprise Server for SAP 12-SP1 (src):    java-1_8_0-openjdk-1.8.0.144-27.5.3
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (src):    java-1_8_0-openjdk-1.8.0.144-27.5.3
SUSE Linux Enterprise Server 12-SP3 (src):    java-1_8_0-openjdk-1.8.0.144-27.5.3
SUSE Linux Enterprise Server 12-SP2 (src):    java-1_8_0-openjdk-1.8.0.144-27.5.3
SUSE Linux Enterprise Server 12-SP1-LTSS (src):    java-1_8_0-openjdk-1.8.0.144-27.5.3
SUSE Linux Enterprise Desktop 12-SP3 (src):    java-1_8_0-openjdk-1.8.0.144-27.5.3
SUSE Linux Enterprise Desktop 12-SP2 (src):    java-1_8_0-openjdk-1.8.0.144-27.5.3
Comment 2 Swamp Workflow Management 2017-08-18 13:11:30 UTC
openSUSE-SU-2017:2211-1: An update that solves 28 vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1049302,1049305,1049306,1049307,1049308,1049309,1049310,1049311,1049312,1049313,1049314,1049315,1049316,1049317,1049318,1049319,1049320,1049321,1049322,1049323,1049324,1049325,1049326,1049327,1049328,1049329,1049330,1049331,1049332
CVE References: CVE-2017-10053,CVE-2017-10067,CVE-2017-10074,CVE-2017-10078,CVE-2017-10081,CVE-2017-10086,CVE-2017-10087,CVE-2017-10089,CVE-2017-10090,CVE-2017-10096,CVE-2017-10101,CVE-2017-10102,CVE-2017-10105,CVE-2017-10107,CVE-2017-10108,CVE-2017-10109,CVE-2017-10110,CVE-2017-10111,CVE-2017-10114,CVE-2017-10115,CVE-2017-10116,CVE-2017-10118,CVE-2017-10125,CVE-2017-10135,CVE-2017-10176,CVE-2017-10193,CVE-2017-10198,CVE-2017-10243
Sources used:
openSUSE Leap 42.3 (src):    java-1_8_0-openjdk-1.8.0.144-13.3
openSUSE Leap 42.2 (src):    java-1_8_0-openjdk-1.8.0.144-10.13.3
Comment 3 Swamp Workflow Management 2018-01-03 20:11:15 UTC
SUSE-SU-2018:0005-1: An update that fixes 46 vulnerabilities is now available.

Category: security (important)
Bug References: 1049305,1049306,1049307,1049309,1049310,1049311,1049312,1049313,1049314,1049315,1049316,1049317,1049318,1049319,1049320,1049321,1049322,1049323,1049324,1049325,1049326,1049327,1049328,1049329,1049330,1049331,1049332,1052318,1064071,1064072,1064073,1064075,1064077,1064078,1064079,1064080,1064081,1064082,1064083,1064084,1064085,1064086
CVE References: CVE-2016-10165,CVE-2016-9840,CVE-2016-9841,CVE-2016-9842,CVE-2016-9843,CVE-2017-10053,CVE-2017-10067,CVE-2017-10074,CVE-2017-10081,CVE-2017-10086,CVE-2017-10087,CVE-2017-10089,CVE-2017-10090,CVE-2017-10096,CVE-2017-10101,CVE-2017-10102,CVE-2017-10105,CVE-2017-10107,CVE-2017-10108,CVE-2017-10109,CVE-2017-10110,CVE-2017-10111,CVE-2017-10114,CVE-2017-10115,CVE-2017-10116,CVE-2017-10118,CVE-2017-10125,CVE-2017-10135,CVE-2017-10176,CVE-2017-10193,CVE-2017-10198,CVE-2017-10243,CVE-2017-10274,CVE-2017-10281,CVE-2017-10285,CVE-2017-10295,CVE-2017-10345,CVE-2017-10346,CVE-2017-10347,CVE-2017-10348,CVE-2017-10349,CVE-2017-10350,CVE-2017-10355,CVE-2017-10356,CVE-2017-10357,CVE-2017-10388
Sources used:
SUSE OpenStack Cloud 6 (src):    java-1_7_0-openjdk-1.7.0.161-43.7.6
SUSE Linux Enterprise Server for SAP 12-SP1 (src):    java-1_7_0-openjdk-1.7.0.161-43.7.6
SUSE Linux Enterprise Server for SAP 12 (src):    java-1_7_0-openjdk-1.7.0.161-43.7.6
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (src):    java-1_7_0-openjdk-1.7.0.161-43.7.6
SUSE Linux Enterprise Server 12-SP3 (src):    java-1_7_0-openjdk-1.7.0.161-43.7.6
SUSE Linux Enterprise Server 12-SP2 (src):    java-1_7_0-openjdk-1.7.0.161-43.7.6
SUSE Linux Enterprise Server 12-SP1-LTSS (src):    java-1_7_0-openjdk-1.7.0.161-43.7.6
SUSE Linux Enterprise Server 12-LTSS (src):    java-1_7_0-openjdk-1.7.0.161-43.7.6
SUSE Linux Enterprise Desktop 12-SP3 (src):    java-1_7_0-openjdk-1.7.0.161-43.7.6
SUSE Linux Enterprise Desktop 12-SP2 (src):    java-1_7_0-openjdk-1.7.0.161-43.7.6
Comment 4 Swamp Workflow Management 2018-01-09 11:11:06 UTC
openSUSE-SU-2018:0042-1: An update that fixes 46 vulnerabilities is now available.

Category: security (important)
Bug References: 1049305,1049306,1049307,1049309,1049310,1049311,1049312,1049313,1049314,1049315,1049316,1049317,1049318,1049319,1049320,1049321,1049322,1049323,1049324,1049325,1049326,1049327,1049328,1049329,1049330,1049331,1049332,1052318,1064071,1064072,1064073,1064075,1064077,1064078,1064079,1064080,1064081,1064082,1064083,1064084,1064085,1064086
CVE References: CVE-2016-10165,CVE-2016-9840,CVE-2016-9841,CVE-2016-9842,CVE-2016-9843,CVE-2017-10053,CVE-2017-10067,CVE-2017-10074,CVE-2017-10081,CVE-2017-10086,CVE-2017-10087,CVE-2017-10089,CVE-2017-10090,CVE-2017-10096,CVE-2017-10101,CVE-2017-10102,CVE-2017-10105,CVE-2017-10107,CVE-2017-10108,CVE-2017-10109,CVE-2017-10110,CVE-2017-10111,CVE-2017-10114,CVE-2017-10115,CVE-2017-10116,CVE-2017-10118,CVE-2017-10125,CVE-2017-10135,CVE-2017-10176,CVE-2017-10193,CVE-2017-10198,CVE-2017-10243,CVE-2017-10274,CVE-2017-10281,CVE-2017-10285,CVE-2017-10295,CVE-2017-10345,CVE-2017-10346,CVE-2017-10347,CVE-2017-10348,CVE-2017-10349,CVE-2017-10350,CVE-2017-10355,CVE-2017-10356,CVE-2017-10357,CVE-2017-10388
Sources used:
openSUSE Leap 42.3 (src):    java-1_7_0-openjdk-1.7.0.161-45.1, java-1_7_0-openjdk-bootstrap-1.7.0.161-45.1
openSUSE Leap 42.2 (src):    java-1_7_0-openjdk-1.7.0.161-42.6.1, java-1_7_0-openjdk-bootstrap-1.7.0.161-42.6.1
Comment 5 Fridrich Strba 2018-11-08 20:31:01 UTC
Released